{
  description = "A very basic flake to create an environment for neurocube_consumer development";

  inputs.nixpkgs.url = "github:NixOS/nixpkgs";
  inputs.utils.url = "github:numtide/flake-utils";
  inputs.mach-nix-src.url = "github:DavHau/mach-nix/conda-beta";

  outputs = { self, nixpkgs, utils, mach-nix-src }: let
      system = "x86_64-linux";
      pkgs = (import nixpkgs { inherit system;}).pkgs;
      mach-nix-utils = import mach-nix-src {
          inherit pkgs;
          python = "python3";
      };
      mach-provider = {
          # The default for all packages which are not specified explicitly
          #_default = "wheel,nixpkgs,sdist";

          # Explicit settings per package
      };
      pyEnv = mach-nix-utils.mkPython{
        requirements = builtins.readFile ./requirements.txt;
        providers = mach-provider;
      };
    in
      {
       devShell."${system}" = pkgs.mkShell{
	buildInputs = [pkgs.google-drive-ocamlfuse pyEnv];
	};
      };
}
