import subprocess


def init(mountPoint):
    """Performs the initialization work.

    Parameters
    ----------
    mountPoint : str
        The directory to mount the google drive to
    """
    mount(mountPoint)

def createMount(mountPoint):
    """Create the directory to mount the google drive to.

    Parameters
    ----------
    mountPoint : str
        The directory to mount the google drive to
    """
    subprocess.run(["mkdir", "forms"], check=True)

def mount(mountPoint):
    """Mounts a google drive.

    Parameters
    ----------
    mountPoint : str
        The directory to mount the google drive to

    Raises
    ------
    CalledProcessError
        If the gdfuse mount command returns a nonzero value.
    """
    subprocess.run(["ls", "-l"], check=True)
